NX Open C++ Reference Guide
|
Represents a Rout Swept Fold Builder
To create a new instance of this class, use Routing::RouteManager::CreateRouteSweptFoldBuilder
Created in NX7.0.0.
More...
Public Member Functions | |
NXOpen::Expression * | BendAngle () |
Returns the bend angle Created in NX7.5.0. | |
NXOpen::Expression * | BendRadius () |
Returns the bend radius Created in NX7.5.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | FoldLocation () |
Returns the fold location Created in NX7.5.0. | |
NXOpen::Expression * | FoldRotationAngle () |
Returns the fold rotation angle Created in NX7.5.0. | |
NXOpen::Expression * | FoldStartRotationAngle () |
Returns the fold start rotation angle Created in NX7.5.0. | |
NXOpen::Expression * | LengthAdjustment () |
Returns the length adjustment Created in NX7.5.0. | |
bool | ReverseBendAngle () |
Returns the reverse bend angle Created in NX7.5.0. | |
bool | ReverseFixedSegment () |
Returns the reverse fixed segment Created in NX7.5.0. | |
bool | ReverseFoldRotationAngle () |
Returns the reverse fold rotation angle Created in NX7.5.0. | |
void | SetReverseBendAngle (bool reverseBendAngle) |
Sets the reverse bend angle Created in NX7.5.0. | |
void | SetReverseFixedSegment (bool reverseFixedSegment) |
Sets the reverse fixed segment Created in NX7.5.0. | |
void | SetReverseFoldRotationAngle (bool reverseFoldRotationAngle) |
Sets the reverse fold rotation angle Created in NX7.5.0. | |
void | SetStock (NXOpen::Routing::Stock *stock) |
Sets the value of stock, stock width and stock thickness to the builder. | |
NXOpen::Curve * | Spline () |
Returns the spline stored in the builder. | |
NXOpen::SelectBody * | StockSelection () |
Returns the stock selection. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Rout Swept Fold Builder
To create a new instance of this class, use Routing::RouteManager::CreateRouteSweptFoldBuilder
Created in NX7.0.0.
NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::BendAngle | ( | ) |
Returns the bend angle
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::BendRadius | ( | ) |
Returns the bend radius
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Routing::RouteSweptFoldBuilder::FoldLocation | ( | ) |
Returns the fold location
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::FoldRotationAngle | ( | ) |
Returns the fold rotation angle
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::FoldStartRotationAngle | ( | ) |
Returns the fold start rotation angle
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::LengthAdjustment | ( | ) |
Returns the length adjustment
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
bool NXOpen::Routing::RouteSweptFoldBuilder::ReverseBendAngle | ( | ) |
Returns the reverse bend angle
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
bool NXOpen::Routing::RouteSweptFoldBuilder::ReverseFixedSegment | ( | ) |
Returns the reverse fixed segment
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
bool NXOpen::Routing::RouteSweptFoldBuilder::ReverseFoldRotationAngle | ( | ) |
Returns the reverse fold rotation angle
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Routing::RouteSweptFoldBuilder::SetReverseBendAngle | ( | bool | reverseBendAngle | ) |
Sets the reverse bend angle
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
reverseBendAngle | reversebendangle |
void NXOpen::Routing::RouteSweptFoldBuilder::SetReverseFixedSegment | ( | bool | reverseFixedSegment | ) |
Sets the reverse fixed segment
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
reverseFixedSegment | reversefixedsegment |
void NXOpen::Routing::RouteSweptFoldBuilder::SetReverseFoldRotationAngle | ( | bool | reverseFoldRotationAngle | ) |
Sets the reverse fold rotation angle
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
reverseFoldRotationAngle | reversefoldrotationangle |
void NXOpen::Routing::RouteSweptFoldBuilder::SetStock | ( | NXOpen::Routing::Stock * | stock | ) |
Sets the value of stock, stock width and stock thickness to the builder.
This will set the stock only if it has rectangular cross section. After setting the stock it will create and set the spline for the builder. It will also set the spline curves for the builder if the stock has more than one segments.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
stock | Selected Stock |
NXOpen::Curve* NXOpen::Routing::RouteSweptFoldBuilder::Spline | ( | ) |
Returns the spline stored in the builder.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::SelectBody* NXOpen::Routing::RouteSweptFoldBuilder::StockSelection | ( | ) |
Returns the stock selection.
This will be the solid body
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")